IdentifierGeneratorFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.factory
Interface IdentifierGeneratorFactory

All Known Subinterfaces:
  MutableIdentifierGeneratorFactory

All Known Implementing Classes:
  DefaultIdentifierGeneratorFactory

    public interface IdentifierGeneratorFactory

Contract for a `factory` of `IdentifierGenerator` instances.

Method Summary
`IdentifierGenerator` | `createIdentifierGenerator(String strategy, Type type, Properties config)` Given a strategy, retrieve the appropriate identifier generator instance.
`Dialect` | `getDialect()` Get the dialect.
`Class` | `getIdentifierGeneratorClass(String strategy)` Retrieve the class that will be used as the `IdentifierGenerator` for the given strategy.
`void` | `setDialect(Dialect dialect)` Deprecated. The intention is that Dialect should be required to be specified up-front and it would then get ctor injected.

Method Detail

### getDialect

    Dialect getDialect()

  Get the dialect.

  Returns:
    the dialect

### setDialect

    void setDialect(Dialect dialect)

  Deprecated. The intention is that Dialect should be required to be specified up-front and it would then get ctor injected.

  Allow injection of the dialect to use.

  Parameters:
    `dialect` - The dialect

### createIdentifierGenerator

    IdentifierGenerator createIdentifierGenerator(String strategy,
                                                  Type type,
                                                  Properties config)

  Given a strategy, retrieve the appropriate identifier generator instance.

  Parameters:
    `strategy` - The generation strategy.
    `type` - The mapping type for the identifier values.
    `config` - Any configuraion properties given in the generator mapping.
  Returns:
    The appropriate generator instance.

### getIdentifierGeneratorClass

    Class getIdentifierGeneratorClass(String strategy)

  Retrieve the class that will be used as the `IdentifierGenerator` for the given strategy.

  Parameters:
    `strategy` - The strategy
  Returns:
    The generator class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.